# Copyright (C) 1999 Bibliotech Ltd., 631-633 Fulham Rd., London SW6 5UQ.
#
# $Id: IO-Filter.spec.PL,v 1.1 2001/08/30 14:48:11 rich Exp $

use strict;

my $output = (@ARGV > 0 ? $ARGV[0] : "IO-Filter.spec");

unless (do "lib/IO/Filter.pm")
  {
    if ($@) { die $@ }
    die "lib/IO/Filter.pm: $!"
  }

local $/ = undef;
$_ = <DATA>;
s/\@VERSION\@/$IO::Filter::VERSION/g;
s/\@RELEASE\@/$IO::Filter::RELEASE/g;

open SPEC, ">$output" or die "$output: $!";
print SPEC $_;
close SPEC;

__DATA__
# Automatically generated by IO-Filter.spec.PL

%define perlsitearch %(perl -e 'use Config; print $Config{installsitearch}, "\\n"')
%define perlsitelib %(perl -e 'use Config; print $Config{installsitelib}, "\\n"')
%define perlman1dir %(perl -e 'use Config; print $Config{installman1dir}, "\\n"')
%define perlman3dir %(perl -e 'use Config; print $Config{installman3dir}, "\\n"')
%define perlversion %(perl -e 'use Config; print $Config{version}, "\\n"')

Summary: IO::Filter - generic filters for Perl IO handles
Name: IO-Filter
Version: @VERSION@
Release: @RELEASE@
Copyright: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: Compress-Zlib >= 1.14
Requires: perl >= %{perlversion}

%description


%prep
%setup -q


%build
perl Makefile.PL
make
make test


%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/usr install
find $RPM_BUILD_ROOT/usr -type f -print | perl -p -e "s@^$RPM_BUILD_ROOT(.*)@\$1*@g" | grep -v perllocal.pod > %{name}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-filelist
%defattr(-,root,root)
